This repo consist of two branches. 

- master - original  
- split_to_modules - terraform splitted into modules  

Documentation is in docs folder.  
Please clone repo or download html files as gitlab not render Rmarkdown files properly because of custom fields